Subject: i386 locore.s

From: [email-masked] (Frank van der Linden)

The i386 locore.s still has a #define DIAGNOSTIC in it. Not meaning to nit-pick,
but the extra checks done because of that may make some things just a few
ms slower :) Remove that before the official release, maybe? (just in case
someone comes up with a context switch comparison, for example).

- Frank